/*
 * colours.h: Colour wrangling.
 * Part of Storming Ions (a screensaver).
 * Copyright (C) 2007 W. Ross Younger.
 * See the included file "COPYING" for licensing information.
 */

#ifndef COLOURS_H
#define COLOURS_H

#include <windows.h>
#include <wingdi.h>

extern int gColourCount;
extern COLORREF *colours;
extern HPEN *pens;
extern HBRUSH *brushes;
extern COLORREF BLACK, WHITE;

#define RECT_WIDTH(x)  ((x).right-(x).left)
#define RECT_HEIGHT(x) ((x).bottom-(x).top)

void select_colour(HDC hdc,int idx);
int init_colours(int);
void cleanup_colours(void);

#endif