/*
 * rng.h: Random number generation.
 * Part of Storming Ions (a screensaver).
 * Copyright (C) 2007 W. Ross Younger.
 * See the included file "COPYING" for licensing information.
 */

#ifndef RAND__H
#define RAND__H

class Rand {
private:
	unsigned long combo_x;
	unsigned long combo_y;
	unsigned long combo_z;
	unsigned long combo_v;
	void init(unsigned long seed);
public:
	Rand();						/* Implicit seeding (uses wincrypt) */
	Rand(unsigned long seed);	/* Explicit seeding */

	unsigned long next();	/* Next raw output */
	unsigned n(unsigned n); /* Returns an int from 0 to n-1, unbiased */
	int range(int low, int high); /* Returns an int from low to high, unbiased */
	
	const unsigned long MAX;
};

#endif